
QGIS Application - Bug report #4257

Add threaded loading to QBrowser

2011-09-03 06:53 PM - Nathan Woodrow

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 14201

Description

At the moment loading a folder with a large amount of files locks up the QGIS UI.  This doesn't feel good from a user experience point of

view, with no progress bar or indication of how long it will take the user is left wondering what is going on.

Suggestion: Load files into the QBrowser using a separate thread in order to keep the UI responsive.  Also having a progress bar at the

bottom of the dock with loading status would be a good idea IMO.

History

#1 - 2011-12-09 08:48 AM - Paolo Cavallini

- Category set to Data Provider

#2 - 2011-12-16 02:11 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#3 - 2012-04-16 06:29 AM - Paolo Cavallini

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to master

- Target version changed from Version 1.7.4 to Version 1.8.0

#4 - 2012-09-04 11:58 AM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#5 - 2014-02-27 11:39 PM - Martin Dobias

- Assignee deleted (Martin Dobias)

#6 - 2014-06-28 07:40 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#7 - 2015-01-21 02:27 AM - Radim Blazek

- Resolution set to fixed/implemented

- Status changed from Open to Closed

The browser loading in threads is implemented in master and will be released in 2.8.
